# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname django-flash
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-django-flash
Version:        1.7.2
Release:        alt1_6
Summary:        A Django extension to provide support for Rails-like flash

Group:          Development/Python
License:        BSD
URL:            http://djangoflash.destaquenet.com/
Source0:        http://pypi.python.org/packages/source/d/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  Django python-devel python-module-distribute
Requires:       Django
Source44: import.info

%description
A simple Django extension that provides support for Rails-like flash messages.

The flash is a temporary storage mechanism that looks like a Python
dictionary, so you can store values associated with keys and later retrieve
them. It has one special property: by default, values stored into the flash
during the processing of a request will be available during the processing
of the immediately following request. Once that second request has been
processed, those values are removed automatically from the storage.


%prep
%setup -q -n %{oldname}-%{version}


%build
python setup.py build


%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/djangoflash/tests/testproj/manage.py


%files
%doc AUTHORS LICENSE README.rst
%{python_sitelibdir_noarch}/*


%changelog
* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.2-alt1_6
- initial fc import

